com.h3c.util.persistence.cassandra.entitymgr.column

## Class ColumnName<K extends Serializable & Comparable<K>,V>

- java.lang.Object
- - com.h3c.util.type.AbstractValueType<K>
  - - com.h3c.util.persistence.cassandra.entitymgr.column.ColumnName<K,V>

- Type Parameters:
    `K` - type of the column key or name
    `V` - type of the column value
  All Implemented Interfaces:
    Serializable, Comparable<ColumnName<K,?>>

      public final class ColumnName<K extends Serializable & Comparable<K>,V>
      extends AbstractValueType<K>
      implements Comparable<ColumnName<K,?>>

  Value type object for the column name. This class is used to prohibit setting a value of the wrong type to a column. There is no harm in memory usage because column names will normally be constants.
  See Also:
    Serialized Form

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(ColumnName<K,?> other)`
    `CassDataTypes` | `get_validation_class()`
    `boolean` | `isSecondaryIndex()`
    `static <K extends Serializable & Comparable<K>,V> ColumnName<K,V>` | `valueOf(K name)` Creates a column name.
    `static <K extends Serializable & Comparable<K>,V> ColumnName<K,V>` | `valueOf(K name, CassDataTypes v, boolean isSecIndex)`

    - ### Methods inherited from class com.h3c.util.type.AbstractValueType

      `equals, getValue, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### get_validation_class

          public CassDataTypes get_validation_class()

    - #### isSecondaryIndex

          public boolean isSecondaryIndex()

    - #### compareTo

          public int compareTo(ColumnName<K,?> other)

      Specified by:
        `compareTo` in interface `Comparable<ColumnName<K extends Serializable & Comparable<K>,?>>`

    - #### valueOf

          public static <K extends Serializable & Comparable<K>,V> ColumnName<K,V> valueOf(K name)

      Creates a column name.
      Parameters:
        `name` - name of the column
      Returns:
        a column name

    - #### valueOf

          public static <K extends Serializable & Comparable<K>,V> ColumnName<K,V> valueOf(K name,
                                                                          CassDataTypes v,
                                                                          boolean isSecIndex)

Copyright © 2014. All Rights Reserved.